Page Summary
-
This endpoint allows you to update an existing YouTube reference using a PATCH request to the specified URL, with the reference ID provided as a path parameter.
-
The
onBehalfOfContentOwnerquery parameter lets users manage content on behalf of multiple content owners, andreleaseClaimsquery parameter allows for the release of claims associated with the reference being updated. -
The request and response bodies both contain an instance of the
Referenceresource, and can be found in theReferencedefinition. -
Updating a reference requires authorization with the
https://www.googleapis.com/auth/youtubepartnerOAuth scope.
- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Try it!
Patches a reference.
HTTP request
PATCH https://youtubepartner.googleapis.com/youtube/partner/v1/references/{referenceId}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
referenceId |
The |
Query parameters
| Parameters | |
|---|---|
onBehalfOfContentOwner |
The |
releaseClaims |
The |
Request body
The request body contains an instance of Reference.
Response body
If successful, the response body contains an instance of Reference.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/youtubepartner
For more information, see the OAuth 2.0 Overview.